﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{7853522B-A3FD-4114-835E-13A58F2CB3C7}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>Cts.Oasys.Hubs.Core.Stock</RootNamespace>
    <AssemblyName>Cts.Oasys.Hubs.Core.Stock</AssemblyName>
    <FileAlignment>512</FileAlignment>
    <MyType>Windows</MyType>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <OptionExplicit>On</OptionExplicit>
    <OptionCompare>Binary</OptionCompare>
    <OptionStrict>On</OptionStrict>
    <OptionInfer>On</OptionInfer>
    <SccProjectName>
    </SccProjectName>
    <SccLocalPath>
    </SccLocalPath>
    <SccAuxPath>
    </SccAuxPath>
    <SccProvider>
    </SccProvider>
    <SignAssembly>true</SignAssembly>
    <AssemblyOriginatorKeyFile>$(PROJ_ROOT)\misc\Oasys.pfx</AssemblyOriginatorKeyFile>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <OldToolsVersion>3.5</OldToolsVersion>
    <UpgradeBackupLocation />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <DefineDebug>true</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <OutputPath>$(OUT_DIR)\build\Oasys3\SOM\</OutputPath>
    <DocumentationFile>
    </DocumentationFile>
    <NoWarn>42353,42354,42355</NoWarn>
    <WarningsAsErrors>41999,42016,42017,42018,42019,42020,42021,42022,42032,42036</WarningsAsErrors>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <DefineDebug>false</DefineDebug>
    <DefineTrace>true</DefineTrace>
    <Optimize>true</Optimize>
    <OutputPath>$(OUT_DIR)\build\Oasys3\SOM\</OutputPath>
    <DocumentationFile>
    </DocumentationFile>
    <NoWarn>42353,42354,42355</NoWarn>
    <WarningsAsErrors>41999,42016,42017,42018,42019,42020,42021,42022,42032,42036</WarningsAsErrors>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Core">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
    <Reference Include="System.Xml.Linq">
      <RequiredTargetFramework>3.5</RequiredTargetFramework>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Import Include="Cts.Oasys.Hubs.Data" />
    <Import Include="Microsoft.VisualBasic" />
    <Import Include="System" />
    <Import Include="System.Collections" />
    <Import Include="System.Collections.Generic" />
    <Import Include="System.Data" />
    <Import Include="System.Diagnostics" />
    <Import Include="System.Linq" />
    <Import Include="System.Runtime.CompilerServices" />
    <Import Include="System.Xml.Linq" />
    <Import Include="TpWickes.Hubs.Library" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Classes\Common.vb" />
    <Compile Include="Interfaces\IStockLog.vb" />
    <Compile Include="Classes\StockEanCollection.vb" />
    <Compile Include="Classes\StockLog.vb" />
    <Compile Include="Classes\StockLogRecordInsert.vb" />
    <Compile Include="Classes\StockLogRecordInsertNew.vb" />
    <Compile Include="Data\DataAccess.vb" />
    <Compile Include="Factories\StockLogRecordFactory.vb" />
    <Compile Include="Factories\StockLogRecordRepositoryFactory.vb" />
    <Compile Include="Interfaces\IStockLogRecord.vb" />
    <Compile Include="Interfaces\IStockLogRecordRepository.vb" />
    <Compile Include="My Project\AssemblyInfo.vb" />
    <Compile Include="My Project\Application.Designer.vb">
      <AutoGen>True</AutoGen>
      <DependentUpon>Application.myapp</DependentUpon>
    </Compile>
    <Compile Include="My Project\Resources.Designer.vb">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="My Project\Settings.Designer.vb">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <Compile Include="Repositories\StockLogRecordRepository.vb" />
    <Compile Include="Repositories\StockLogRecordRepositoryNew.vb" />
    <Compile Include="Resources\Parameters.Designer.vb">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Parameters.resx</DependentUpon>
    </Compile>
    <Compile Include="Resources\Procedures.Designer.vb">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Procedures.resx</DependentUpon>
    </Compile>
    <Compile Include="Classes\Stock.vb" />
    <Compile Include="Classes\StockCollection.vb" />
    <Compile Include="Classes\StockEan.vb" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="My Project\Resources.resx">
      <Generator>VbMyResourcesResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.vb</LastGenOutput>
      <CustomToolNamespace>My.Resources</CustomToolNamespace>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Parameters.resx">
      <CustomToolNamespace>My.Resources</CustomToolNamespace>
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Parameters.Designer.vb</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Procedures.resx">
      <CustomToolNamespace>My.Resources</CustomToolNamespace>
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Procedures.Designer.vb</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="CtsOasysHubsCoreStock.cd" />
    <None Include="My Project\Application.myapp">
      <Generator>MyApplicationCodeGenerator</Generator>
      <LastGenOutput>Application.Designer.vb</LastGenOutput>
    </None>
    <None Include="My Project\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <CustomToolNamespace>My</CustomToolNamespace>
      <LastGenOutput>Settings.Designer.vb</LastGenOutput>
    </None>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Cts.Oasys.Hubs.Core.System\Cts.Oasys.Hubs.Core.System.vbproj">
      <Project>{C5DA58D9-FEDD-45B2-A22B-D60CF76D1996}</Project>
      <Name>Cts.Oasys.Hubs.Core.System</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\Cts.Oasys.Hubs.Core\Cts.Oasys.Hubs.Core.vbproj">
      <Project>{27D0A495-034C-469B-9A0C-4676820EC314}</Project>
      <Name>Cts.Oasys.Hubs.Core</Name>
    </ProjectReference>
    <ProjectReference Include="..\Cts.Oasys.Hubs.Data\Cts.Oasys.Hubs.Data.vbproj">
      <Project>{4408564D-6A85-448D-9802-6C89102BFB90}</Project>
      <Name>Cts.Oasys.Hubs.Data</Name>
      <Private>False</Private>
    </ProjectReference>
    <ProjectReference Include="..\..\TpWickes.Hubs\TpWickes.Hubs.Library\TpWickes.Hubs.Library.vbproj">
      <Project>{B1BCA2EF-1D9F-47CF-A080-760D0E7F9A38}</Project>
      <Name>TpWickes.Hubs.Library</Name>
      <Private>False</Private>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.VisualBasic.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>